// @flow strict

import * as React from 'react';
import ReactDOM from 'react-dom';

type Props = {|
	approveLogs?: Array<any>,
	approveConfig?: any,
|};

class FlowLog extends React.Component<Props> {

  ref: ?HTMLElement

  componentDidMount() {
    const domNode = ReactDOM.findDOMNode(this.ref);
    window.R.render('mobile.flow.log', domNode, this.props)
  }

  render() {
    return (
      <div ref={el => this.ref = el} />
    );
  }
}

export default FlowLog;