// @flow strict

import * as React from 'react';
import ReactDOM from 'react-dom';

type Props = {|
  url?: string,
	approveLogs?: Array<any>,
	approveConfig?: any,
	data?: any
|};

class SuperForm extends React.Component<Props> {

  ref: ?HTMLElement

  componentDidMount() {
    const domNode = ReactDOM.findDOMNode(this.ref);
    window.R.render('mobile.super.form', domNode, this.props)
  }

  render() {
    return (
      <div ref={el => this.ref = el} />
    );
  }
}

export default SuperForm;